Subject: Re: bug#42601: Guix install bug: error: Unbound variable: ~S

From: Leo Famulari <[email-masked]>
Date: Wed, 29 Jul 2020 18:33:31 -0400

On Thu, Jul 30, 2020 at 12:15:56AM +0200, Ricardo Wurmus wrote:
> “Unbound variable: ~S” looks like a format string with a placeholder
> that didn’t get replaced with an actual value.  It would be marginally
> better if it said “Unbound variable: avr-toolchain”.

The reason I suggested an interface change being responsible for
"Unbound variable: ~S" is that I noticed it a couple days ago after
changes to (guix ui), and it was fixed by `make clean-go`:

http://logs.guix.gnu.org/guix/2020-07-27.log#015055

I think that error message is an example of what can go wrong when using
a development environment without rebuilding everything first.